Subject: bug#30755: 25.3; Encoding of load-file-name wrong when path to working dir does not contain accented letter

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Mar 2018 15:46:03 +0200

> From: Márton Marczell <[email-masked]>
> Date: Fri, 9 Mar 2018 12:22:05 +0100
> 
> My Windows username is Márton.
> 
> In one of the files loaded by my .emacs (neotree.el), I added this line:
> 
>    (print load-file-name)
> 
> 1. I start Emacs from the command line with no arguments.
> 2. I view the *Messages* buffer.
> 
> If the directory from which I launched Emacs has an accent in its path,
> e.g. "D:\á\", this is printed:
> "c:/Users/Márton/AppData/Roaming/.emacs.d/elpa/neotree-0.5.2/neotree.el"
> But if it doesn't, e.g. "D:\a\", this is printed:
> "c:/Users/MÃ¡rton/AppData/Roaming/.emacs.d/elpa/neotree-0.5.2/neotree.el"
> 
> (This prevents the neotree package from loading images in the latter case.)

How is load-file-name of the package's .el file related to its
inability to load images?

Also, can you please provide a recipe that takes neotree.el out of the
equation?  AFAIU, it should be enough to have a .el file that is
loaded in .emacs, and have the contents of that file be just

  (print load-file-name)

Is that correct?

> Please see also bug#25038, which seems related.

But that bug was solved, so something else must be at work here.

Thanks.